Subject: Re: [PATCH] enic: add ethtool get_channel support

From: Jakub Kicinski <[email-masked]>
Date: Thu, 20 Jun 2024 12:58:51 -0700

On Thu, 20 Jun 2024 19:49:45 +0000 Jon Kohler wrote:
> > channel is a bit of an old term, think about interrupts more than
> > queues. ethtool man page has the most informative description.  
> 
> Thanks for the pointer on man ethtool - one question, Przemek had
> brought up a good point that ethtool uapi says that combined queues
> valid values start at 1; however, I don’t see anything that enforces that
> point in the code or the man page.
> 
> Should I just omit that completely from the change, since the fields
> are zero initialized anyhow?

Not sure what the comment about 1 to max is intending to communicate.
But I'd guess it trying to convey that on SET driver doesn't have to
worry about the value being crazy, if it sets max correctly.